Page MenuHomePhabricator

Fix empty -L Path on OSX hosts
ClosedPublic

Authored by martell on Aug 28 2015, 7:03 PM.

Details

Summary

Not quite sure if this is the proper way to fix this.
This is currently my work around when working from an OSX host though.

I think I need some feedback from either rnk or yaron on how to fix this.
I assume the path is supposed to be "." and not an empty string as it is on mac.
I can't reproduce this issue on linux or windows also.

Diff Detail

Repository
rL LLVM

Event Timeline

martell updated this revision to Diff 33510.Aug 28 2015, 7:03 PM
martell retitled this revision from to Fix empty -L Path on OSX hosts.
martell updated this object.
martell added reviewers: rnk, yaron.keren.
martell set the repository for this revision to rL LLVM.
martell added a subscriber: cfe-commits.
yaron.keren edited edge metadata.Aug 29 2015, 12:30 PM

I have never used OSX, Try to add one of the Apple clang developers as reviewers, they know more than me about OSX.

My guess there should not be empty paths in in TC.getFilePaths(). That patch seems only to sidestep the issue which will probably surface in other places. Can you debug why this empty path is created and fix that?

rnk accepted this revision.Sep 4 2015, 7:38 PM
rnk edited edge metadata.

This looks fine, just make sure the indentation is right. Phab seems confused.

This revision is now accepted and ready to land.Sep 4 2015, 7:38 PM
This revision was automatically updated to reflect the committed changes.

Is this testable?

Is this testable?

Seems to me the only way to add this as a test would be to add bad code to clang to purposely pass an empty LibPath argument.
This is probably something we do not want to do.

This is probably why Reid never asked me for one in the review.